seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/04/02, 06:19:57


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: WARNING: KDEPim 16.04.2-1 Transitions started  (Read 9017 times)

0 Members and 1 Guest are viewing this topic.

Offline ayla

  • User
  • Posts: 1.701
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #60 on: 2016/08/07, 09:53:55 »
Hi orinoco,

I got kmail running without an error message by following an advice from this thread:

https://forum.kde.org/viewtopic.php?f=215&t=120777

I startet akonadiconsole, opened the first tab (agents) and removed the "locale folder" agent. After reboot kmail startet but I could not send or receive emails. Kmail shows it works on it but didn't finished the job.
 I was trying around then a while, deleting kmail and kdepim, reinstalled, deleted the email acount profile (pop) 4 to 5 times, set it up anew, rebooted a few times....

And after all hope was gone I suddenly had a working kmail back with all my old emails but adresses were gone (Typing and get a choice of former used adresses).

For me that does not seem that kmail has getting anything near of more stable now but it does its job (sending/receiving emails) here again.

hth and good luck
ayla

« Last Edit: 2016/08/07, 10:03:43 by ayla »
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline Pip

  • User
  • Posts: 59
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #61 on: 2016/08/09, 21:18:35 »
To quote my KDE Bug report:

A way around: I took out the KMail Mail Folder agent and put in a Maildir agent pointing to the same place. At first glance, that seems to get around the problem, though there are still things to tidy up.

So, this might be the root of the problem. I'll have to actually run it for a while to find out, and it has (small issue) added a local mail directory that I've no interest in, but at least Kontact starts now with the mail and accounts in place.

Offline Pip

  • User
  • Posts: 59
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #62 on: 2016/08/09, 21:20:24 »
No, scratch that: the directory structure is in place and some new mails are there, but not the old ones.
Still have to work on this.

Offline Pip

  • User
  • Posts: 59
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #63 on: 2016/08/09, 21:22:45 »
It claims to be busy with syncing the folder, but it's staying stubbornly at 0%.

Offline Pip

  • User
  • Posts: 59
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #64 on: 2016/08/09, 22:17:46 »
I'm getting mixed results: I've got old mail again - adding Local Folders in KMail settings, adding a KMail mail folder, removing the Maildir agent, sacrificing a chicken - and akonadi seems to be picking up new mail, but it's not putting it in the mail folder so I can't see it. It also downloads new mail, then gets stuck saving the downloaded messages.
That'll do for the night, I think. I'll go break something else now.

Offline Pip

  • User
  • Posts: 59
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #65 on: 2016/09/22, 21:30:53 »
Eventually got a working system by switching to MariaDB instead of SQLITE3. I really wanted to keep the default, but it just didn't work.
It took a while to rebuild, but it is working now. Remember to install libqt5sql5-mysql if you do go this route.

Offline ubahn1

  • Newbie
  • Posts: 3
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #66 on: 2016/09/23, 14:32:37 »
Hi all,

fixed and successfully dist-upgraded.

It was a 'simple' process of uninstalling the 'outdated' kdepim and associated packages, using

Code: [Select]
apt-get remove --purge "name of package"
  • akonadiconsole
  • kmail
  • korganizer
  • kaddressbook
  • kontact
Once done, then I simply did an update / dist-upgrade.

Reinstalled the kdepim packages.

All good now.

Here I was thinking I'd have to chase down individual dependencies....

My thanks to all who have offered advice.


I did this, but it didn't work:

# apt install kalarm


Reading package lists... 100%
Reading package lists... Done

Building dependency tree       
Reading state information... Done

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kalarm : Depends: libkf5akonadicontact5 (>= 15.07.90) but it is not going to be installed
          Depends: libkf5akonadimime5 (>= 15.07.90) but it is not going to be installed
          Depends: libkf5libkdepim-plugins but it is not going to be installed
          Depends: libkf5libkdepim5 (>= 16.04) but it is not going to be installed
          Depends: libkf5mailtransport5 but it is not going to be installed
          Depends: libkf5pimcommon-plugins but it is not going to be installed
          Depends: libkf5pimcommon5 (>= 4:16.04) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Can anybody direct me to what I could do next, or do I just have to wait, and it will come right eventually?


Offline Pip

  • User
  • Posts: 59
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #67 on: 2016/09/23, 22:38:52 »
The info would indicate the packages have been held. Have you tried explicitly installing them as well?

Offline ubahn1

  • Newbie
  • Posts: 3
Re: WARNING: KDEPim 16.04.2-1 Transitions started
« Reply #68 on: 2016/09/24, 23:44:12 »
I tried that initially, but it didn't work (I don't remember why).
But then I tried to solve the problem by installing the package kdepim-addons. This was just a guess. I figured that that wouldn't cause too much damage.
This is what happened:
Code: [Select]
# apt install kdepim-addons

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  kdepimlibs-data kf5-kdepim-apps-libs-data kf5-messagelib-data libkf5akonadicalendar5 libkf5akonadicontact5 libkf5akonadimime5 libkf5calendarsupport-data libkf5calendarsupport5
  libkf5eventviews-data libkf5eventviews5 libkf5followupreminder5 libkf5gpgmepp-pthread5 libkf5grantleetheme-plugins libkf5grantleetheme5 libkf5gravatar5 libkf5incidenceeditor-bin
  libkf5incidenceeditor5 libkf5kaddressbookgrantlee5 libkf5kdepimdbusinterfaces5 libkf5kdgantt2-5 libkf5libkdepim-plugins libkf5libkdepim5 libkf5libkleo5 libkf5mailcommon-plugins
  libkf5mailcommon5 libkf5mailimporter5 libkf5mailtransport5 libkf5mbox5 libkf5messagecomposer5 libkf5messagecore5 libkf5messageviewer5 libkf5pimcommon-plugins libkf5pimcommon5
  libkf5qgpgme5 libkf5sendlater5 libkf5templateparser5 libkf5tnef5 libkf5webkit5
Recommended packages:
  kde-config-mailtransport
The following packages will be REMOVED:
  kdepimlibs-kio-plugins libakonadi-calendar4 libakonadi-contact4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4 libkabc4 libkalarmcal2 libkcal4 libkgapi2-2 libkholidays4 libkolab0v5
  libkresources4 libktnef4 libmailtransport4
The following NEW packages will be installed:
  kdepim-addons kdepimlibs-data kf5-kdepim-apps-libs-data kf5-messagelib-data libkf5akonadicalendar5 libkf5akonadicontact5 libkf5akonadimime5 libkf5calendarsupport-data
  libkf5calendarsupport5 libkf5eventviews-data libkf5eventviews5 libkf5followupreminder5 libkf5gpgmepp-pthread5 libkf5grantleetheme-plugins libkf5grantleetheme5 libkf5gravatar5
  libkf5incidenceeditor-bin libkf5incidenceeditor5 libkf5kaddressbookgrantlee5 libkf5kdepimdbusinterfaces5 libkf5kdgantt2-5 libkf5libkdepim-plugins libkf5libkdepim5 libkf5libkleo5
  libkf5mailcommon-plugins libkf5mailcommon5 libkf5mailimporter5 libkf5mailtransport5 libkf5mbox5 libkf5messagecomposer5 libkf5messagecore5 libkf5messageviewer5 libkf5pimcommon-plugins
  libkf5pimcommon5 libkf5qgpgme5 libkf5sendlater5 libkf5templateparser5 libkf5tnef5 libkf5webkit5
0 upgraded, 39 newly installed, 15 to remove and 0 not upgraded.
Need to get 9,537 kB of archives.
After this operation, 11.3 MB of additional disk space will be used.
Do you want to continue? [Y/n]


So I went ahead, and afterwards kalarm installed without problems.
Then I also had to install the package "plasma-workspace" because of this:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=822061


So, it appears that all is well now.

EDIT: Set code tags (Moderator: bluelupo)
« Last Edit: 2016/09/25, 19:00:02 by bluelupo »